using BarContracts.BindingModels;
using BarContracts.SearchModels;
using BarContracts.ViewModels;

namespace BarContracts.StoragesContracts
{
    public interface IOrderStorage
    {
        List<OrderViewModel> GetFullList();
        List<OrderViewModel> GetFilteredList(OrderSearchModel Model);
        OrderViewModel? GetElement(OrderSearchModel Model);
        OrderViewModel? Insert(OrderBindingModel Model);
        OrderViewModel? Update(OrderBindingModel Model);
        OrderViewModel? Delete(OrderBindingModel Model);
    }
}
